%define major   3
%define minor   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Library to import various 3D model formats into applications
Name:		assimp
Version:	3.2
Release:	1
License:	BSD
Group:		Graphics
Url:		http://assimp.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/assimp/%{name}-%{major}.%{minor}/%{name}-%{version}.tar.gz
# Patches from mga
Patch0:		assimp-3.1.1-mga-fdr-doxyfile.patch
Patch1:		assimp-3.2-mga-fdr-system-poly2tri-clipper.patch
Patch2:		assimp-3.2-mga-system-unzip.patch
BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	doxygen
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(poly2tri)
BuildRequires:	pkgconfig(zlib)

%description
Assimp, the Open Asset Import Library, is a free library to import various
well-known 3D model formats into applications. Assimp aims to provide a full
asset conversion pipeline for use in game engines and real-time rendering
systems, but is not limited to these applications.

This package contains the assimp binary, a tool to work with various formats.

%files
%doc Readme.md LICENSE CREDITS CHANGES
%{_bindir}/%{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library to import various 3D model formats into applications
Group:		System/Libraries

%description -n %{libname}
Assimp, the Open Asset Import Library, is a free library to import various
well-known 3D model formats into applications. Assimp aims to provide a full
asset conversion pipeline for use in game engines and real-time rendering
systems, but is not limited to these applications.

%files -n %{libname}
%doc Readme.md LICENSE CREDITS CHANGES
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and development libraries for assimp
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and development libraries for assimp.
You need to install it if you want to develop programs using assimp.

%files -n %{devname}
%doc doc/AssimpDoc_Html
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}-%{major}.%{minor}
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

pushd contrib
rm -rf cppunit-1.12.1 poly2tri unzip zlib
popd

dos2unix CHANGES CREDITS LICENSE Readme.md

%build
%cmake \
	-DASSIMP_BUILD_TESTS:BOOL=NO \
	-DASSIMP_LIB_INSTALL_DIR:PATH=%{_lib} \
	-DASSIMP_ENABLE_BOOST_WORKAROUND=OFF \
	-DPOLY2TRI_LIB_PATH:PATH=%{_libdir} \
	-DPOLY2TRI_INCLUDE_PATH:PATH=%{_includedir}/poly2tri

%make

# doc
pushd ../doc
doxygen Doxyfile
popd

%install
%makeinstall_std -C build


%changelog

* Fri Jun 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.2-1
- (f6d280d) New version 3.2


